com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira

Atlassian JIRA | Ahmad Danial | 3 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    h4. Steps to Reproduce: * Install a fresh *JIRA 6.0.5* * Obtain a copy of the *JIRA Agile / GreenHopper 6.2.1* .jar file from the *Atlassian Marketplace* [here|https://marketplace.atlassian.com/download/plugins/com.pyxis.greenhopper.jira/version/1426] * Upload the .jar file into *JIRA* through *Manage Add-ons* * We will encounter the following error from the *JIRA* UI: !enable_error.JPG|thumbnail! The following stack trace appears on the {{atlassian-jira.log}}: {code} 2013-11-07 21:40:29,168 pool-25-thread-3 ERROR admin 1300x222x1 hyqe1b 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [atlassian.plugin.manager.PluginEnabler] Unable to enable plugin com.pyxis.greenhopper.jira com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:483) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:273) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pyxis.greenhopper.jira [126]: Unable to resolve 126.0: missing requirement [126.0] package; (&(package=org.apache.lucene.document)(version>=3.2.0)(version<=3.2.0)) at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409) at org.apache.felix.framework.Felix.startBundle(Felix.java:1709) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905) {code} h4. Workaround: Upgrade to the latest *JIRA Agile / GreenHopper* plugin (6.3.4)

    Atlassian JIRA | 3 years ago | Ahmad Danial [Atlassian]
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira
  2. 0

    h4. Steps to Reproduce: * Install a fresh *JIRA 6.0.5* * Obtain a copy of the *JIRA Agile / GreenHopper 6.2.1* .jar file from the *Atlassian Marketplace* [here|https://marketplace.atlassian.com/download/plugins/com.pyxis.greenhopper.jira/version/1426] * Upload the .jar file into *JIRA* through *Manage Add-ons* * We will encounter the following error from the *JIRA* UI: !enable_error.JPG|thumbnail! The following stack trace appears on the {{atlassian-jira.log}}: {code} 2013-11-07 21:40:29,168 pool-25-thread-3 ERROR admin 1300x222x1 hyqe1b 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [atlassian.plugin.manager.PluginEnabler] Unable to enable plugin com.pyxis.greenhopper.jira com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:483) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:273) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pyxis.greenhopper.jira [126]: Unable to resolve 126.0: missing requirement [126.0] package; (&(package=org.apache.lucene.document)(version>=3.2.0)(version<=3.2.0)) at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409) at org.apache.felix.framework.Felix.startBundle(Felix.java:1709) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905) {code} h4. Workaround: Upgrade to the latest *JIRA Agile / GreenHopper* plugin (6.3.4)

    Atlassian JIRA | 3 years ago | Ahmad Danial
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira
  3. 0

    Shell script, find between two date range from very big catalina.out file

    Stack Overflow | 1 month ago | egemen
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.keplerrominfo.jira.plugins.usergrouppicker
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Adding a to my Atlassian plugin's pom.xml causes a Spring BundleException with a Constraint violation

    Stack Overflow | 2 years ago | Doug Hughes
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.foo.ConflunceJMSIntegration
  6. 0

    Plugins initialization times out - Atlassian Documentation

    atlassian.com | 11 months ago
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.activeobjects.bamboo.spi

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. com.atlassian.plugin.osgi.container.OsgiContainerException

      Cannot start plugin: com.pyxis.greenhopper.jira

      at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal()
    2. com.atlassian.plugin
      AbstractPlugin.enable
      1. com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:483)
      2. com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:273)
      2 frames